Cyberduck Mountain Duck CLI

#9867 closed enhancement (fixed)

Restore ""Open new connection" for transfers

Reported by: ryann Owned by: dkocher
Priority: normal Milestone: 5.4
Component: core Version: 5.3.5
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Before, Transfers preferences proposed only two options:

  1. "Open new connection"
  2. "Use browser connection"

Then "Open multiple connections" appeared as a third choice, and "Open new connection" has now been removed (in last version Version 5.3.9 (23624) for instance).

Nevertheless, it would be interesting to keep the 3 possible choices, and therefore restore option "Open new connection". Indeed, some light file transfer servers (in a set-top box for instance) are sometimes limited to 2 connections. In such a case, "Open a new connection" is a perfect compromise:

  • Cyberduck can perform the whole download/upload file list in sequence inside the Transfers window

whereas "Open multiple connections" would fail.

  • Meantime, the user can still browse the contents with the opened browser connection

whereas "Use browser connection" would prevent from doing that.

Hoping this enhancement will be possible in future releases.

Change History (5)

comment:1 Changed on Mar 3, 2017 at 9:10:28 AM by dkocher

  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Mar 3, 2017 at 3:20:44 PM by dkocher

  • Milestone changed from 6.0 to 5.3.10

comment:3 Changed on Mar 3, 2017 at 3:36:36 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r38349.

comment:4 Changed on Mar 8, 2017 at 9:53:50 AM by dkocher

  • Milestone changed from 5.3.10 to 5.4

Milestone renamed

comment:5 Changed on Mar 13, 2017 at 5:08:43 PM by dkocher

#9875 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software